package me.mrletsplay.bmareas.command.bmareas;

import me.mrletsplay.bmareas.BMAreas;
import me.mrletsplay.mrcore.command.event.CommandInvokedEvent;
import me.mrletsplay.mrcore.fabric.command.FabricCommand;
import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.text.Text;

public class BMAreasReloadCommand extends FabricCommand {

	public BMAreasReloadCommand() {
		super("reload");
		setDescription("Reload BMAreas");
		setUsage("/bmareas reload");
	}

	@Override
	public void action(CommandInvokedEvent event) {
		ServerPlayerEntity p = getSenderPlayer(event);
		if(p == null) {
			event.getSender().sendMessage("Player only!");
			return;
		}

		if(event.getArguments().length != 0) {
			sendCommandInfo(event.getSender());
			return;
		}

		BMAreas.loadIcons();
		BMAreas.loadMarkers();
		p.sendMessage(Text.literal("§aReloaded"));
	}

}
